#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <ctype.h>

typedef enum {S0, S1, S2, S3, S4, S5, S6, S7} State;

int main() {
	int sign = 1;
	int sign2 = 1;
	int x,y = 0;
	char ch;
	bool finished = false;
	bool error = false;

	State state = S0;

	while(!error && !finished && (ch=getchar())!=EOF) {
		switch(state) {
			case S0:
				if(ch=='(') state=S1;
				else error=true;
				break;
			case S1:
				if(ch=='+' || ch=='-') {
					if(ch=='-') sign=-1;
					state=S2;
				}
				else if(isdigit(ch)) {
					x=ch-'0';
					state=S3;	
				}
				break;
			case S2:
				if(isdigit(ch)) {
					x=ch -'0';
					state=S3;
				}
				break;
			case S3:
				if(isdigit(ch)) {
					x= x*10+ch-'0';
					state=S3;
				}
				else if(ch=='/'){
					state=S4;
				}
				break;
			case S4:
				if(ch=='+' || ch=='-') {
					if(ch=='-') sign2=-1;
					state=S5;
				}
				else if(isdigit(ch)) {
					y=ch - '0';
					state=S6;
				}
				break;
			case S5:
				if(isdigit(ch)) {
					y=ch-'0';
					state=S6;
				}
				break;
			case S6:
				if(isdigit(ch)){
					y=y*10+ch-'0';
					state=S6;
				}
				else if(ch==')') {
					state=S7;
					finished=true;

				}
				break;
			case S7:
				finished=true;
				break;

		}

	}
	if(error) {
		printf("Fehler!!\n");
		exit(1);

	}
	x*=sign;
	y*=sign2;

	printf("x = %d, y = %d \n",x,y);

	return 0;
}
